Qore Programming Language: QoreBoolFalseNode Class Reference

Qore Programming Language 0.8.11

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
QoreBoolFalseNode Class Reference

Qore's boolean "false" node, unique, not dynamically-allocated, not reference-counted. More...

`#include <QoreBoolNode.h>`

Inheritance diagram for QoreBoolFalseNode:
[legend]
Collaboration diagram for QoreBoolFalseNode:
[legend]

## Additional Inherited Members
Public Member Functions inherited from QoreBoolNode
virtual DLLEXPORT int | getAsString (QoreString &str, int foff, class ExceptionSink *xsink) const
| concatenate the verbose string representation of the value (including all contained values for container types) to an existing QoreString More...
virtual DLLEXPORT QoreString * | getAsString (bool &del, int foff, class ExceptionSink *xsink) const
| returns a QoreString giving the verbose string representation of the value (including all contained values for container types) More...
virtual DLLEXPORT DateTime * | getDateTimeRepresentation (bool &del) const
| returns the DateTime representation of this type (default implementation: returns ZeroDate, del = false) More...
virtual DLLEXPORT void | getDateTimeRepresentation (DateTime &dt) const
| assigns the date representation of a value to the DateTime reference passed, default implementation does nothing More...
virtual DLLEXPORT QoreString * | getStringRepresentation (bool &del) const
| returns the value of the type converted to a string, default implementation: returns the empty string More...
virtual DLLEXPORT void | getStringRepresentation (QoreString &str) const
| concatentates the value of the type to an existing QoreString reference, default implementation does nothing More...
virtual DLLEXPORT const char * | getTypeName () const
| returns the type name as a c string More...
DLLLOCAL bool | getValue () const
| returns the boolean value of the object
virtual DLLEXPORT bool | is_equal_hard (const AbstractQoreNode *v, ExceptionSink *xsink) const
| tests for equality ("deep compare" including all contained values for container types) without type conversions (hard compare) More...
virtual DLLEXPORT bool | is_equal_soft (const AbstractQoreNode *v, ExceptionSink *xsink) const
| tests for equality ("deep compare" including all contained values for container types) with possible type conversion (soft compare) More...
virtual DLLLOCAL AbstractQoreNode * | parseInit (LocalVar *oflag, int pflag, int &lvids, const QoreTypeInfo *&typeInfo)
| returns the type information
Public Member Functions inherited from UniqueValueQoreNode
DLLLOCAL | UniqueValueQoreNode (qore_type_t t)
| constructor takes the type argument
DLLLOCAL | UniqueValueQoreNode (const UniqueValueQoreNode &)
| copy constructor
virtual DLLEXPORT AbstractQoreNode * | realCopy () const
| returns itself; objects of this type are not reference-counted and only deleted manually (by static destruction)
Public Member Functions inherited from SimpleValueQoreNode
DLLLOCAL | SimpleValueQoreNode (qore_type_t t, bool n_there_can_be_only_one=false)
| creates the object by assigning the type code and setting the "value" flag, unsetting the "needs_eval" flag, and setting "there_can_be_only_one"
Public Member Functions inherited from SimpleQoreNode
DLLLOCAL | SimpleQoreNode (qore_type_t t, bool n_value, bool n_needs_eval, bool n_there_can_be_only_one=false)
| constructor takes the type and value arguments
DLLLOCAL | SimpleQoreNode (const SimpleQoreNode &v)
| copy constructor
Public Member Functions inherited from AbstractQoreNode
DLLEXPORT | AbstractQoreNode (qore_type_t t, bool n_value, bool n_needs_eval, bool n_there_can_be_only_one=false, bool n_custom_reference_handlers=false)
| constructor takes the type More...
DLLEXPORT | AbstractQoreNode (const AbstractQoreNode &v)
| copy constructor
DLLEXPORT int64 | bigIntEval (ExceptionSink *xsink) const
| evaluates the object and returns a 64-bit integer value More...
DLLEXPORT bool | boolEval (ExceptionSink *xsink) const
| evaluates the object and returns a boolean value More...
DLLEXPORT void | deref (ExceptionSink *xsink)
| decrements the reference count and calls derefImpl() if there_can_be_only_one is false, otherwise does nothing More...
DLLEXPORT AbstractQoreNode * | eval (ExceptionSink *xsink) const
| evaluates the object and returns a value (or 0) More...
DLLEXPORT AbstractQoreNode * | eval (bool &needs_deref, ExceptionSink *xsink) const
| optionally evaluates the argument More...
DLLEXPORT double | floatEval (ExceptionSink *xsink) const
| evaluates the object and returns a floating-point value More...
DLLEXPORT int64 | getAsBigInt () const
| returns the 64-bit integer value of the object More...
DLLEXPORT bool | getAsBool () const
| returns the boolean value of the object More...
DLLEXPORT double | getAsFloat () const
| returns the float value of the object More...
DLLEXPORT int | getAsInt () const
| returns the integer value of the object More...
DLLLOCAL qore_type_t | getType () const
| returns the data type More...
DLLEXPORT int | integerEval (ExceptionSink *xsink) const
| evaluates the object and returns an integer value More...
DLLLOCAL bool | is_value () const
| returns true if the node represents a value More...
DLLLOCAL bool | isReferenceCounted () const
| returns true if the object is reference-counted
DLLLOCAL bool | needs_eval () const
| returns true if the object needs evaluation to return a value, false if not More...
DLLEXPORT void | ref () const
| increments the reference count
DLLEXPORT AbstractQoreNode * | refSelf () const
| returns "this" with an incremented reference count More...
Public Member Functions inherited from QoreReferenceCounter
DLLEXPORT | QoreReferenceCounter ()
| creates the reference counter object
DLLEXPORT | ~QoreReferenceCounter ()
| destroys the reference counter object
DLLLOCAL bool | is_unique () const
| returns true if the reference count is 1 More...
DLLLOCAL int | reference_count () const
| gets the reference count More...
DLLEXPORT bool | ROdereference () const
| atomically decrements the reference count More...
DLLEXPORT void | ROreference () const
| atomically increments the reference count
Static Public Member Functions inherited from QoreBoolNode
static DLLLOCAL qore_type_t | getStaticTypeCode ()
| returns the type code (useful in templates)
static DLLLOCAL const char * | getStaticTypeName ()
| returns the type name (useful in templates)
static DLLLOCAL bool | getValue (QoreBoolNode *v)
| returns the value of the argument (useful in templates)
Protected Member Functions inherited from QoreBoolNode
DLLLOCAL | QoreBoolNode (bool n_b)
| the constructor can only be called by a subclass
Protected Member Functions inherited from SimpleValueQoreNode
virtual DLLEXPORT int64 | bigIntEvalImpl (ExceptionSink *xsink) const
| should never be called for value types More...
virtual DLLEXPORT bool | boolEvalImpl (ExceptionSink *xsink) const
| should never be called for value types More...
virtual DLLEXPORT AbstractQoreNode * | evalImpl (ExceptionSink *xsink) const
| should never be called for value types More...
virtual DLLEXPORT AbstractQoreNode * | evalImpl (bool &needs_deref, ExceptionSink *xsink) const
| should never be called for value types More...
virtual DLLEXPORT double | floatEvalImpl (ExceptionSink *xsink) const
| should never be called for value types More...
virtual DLLEXPORT int | integerEvalImpl (ExceptionSink *xsink) const
| should never be called for value types More...
Protected Member Functions inherited from AbstractQoreNode
virtual DLLEXPORT | ~AbstractQoreNode ()
| default destructor does nothing More...
Protected Attributes inherited from QoreBoolNode
bool | b
| boolean value for the object
Protected Attributes inherited from AbstractQoreNode
bool | custom_reference_handlers: 1
| set to one for objects that need custom reference handlers
bool | needs_eval_flag: 1
| if this is true then the type can be evaluated
bool | there_can_be_only_one: 1
| if this is set to true, then reference counting is turned off for objects of this class
qore_type_t | type: 11
| the type of the object More...
bool | value: 1
| this is true for values, if false then either the type needs evaluation to produce a value or is a parse expression
Protected Attributes inherited from QoreReferenceCounter
QoreThreadLock | mRO
| pthread lock to ensure atomicity of updates for architectures where we don't have an atomic increment and decrement implementation

## Detailed Description

Qore's boolean "false" node, unique, not dynamically-allocated, not reference-counted.

Note
  This class cannot be instantiated (there can only be one of these objects in the entire Qore library). Use get_bool_node() or simply &False to acquire a pointer to this object

The documentation for this class was generated from the following file:

- include/qore/QoreBoolNode.h (6585)